<template>
    <section>
        <form @submit.prevent="register()">
            <label for="email">Email : </label>
            <input type="email" name="email" id="email" v-model="user.email">
            <label for="password">Password : </label>
            <input type="password" name="password" id="password" v-model="user.password.first">
            <label for="repeat">Password repeat : </label>
            <input type="password" name="repeat" id="repeat" v-model="user.password.second">
            <label for="age">Age : </label>
            <input type="number" name="age" id="age" v-model="user.age">
            <button>Sign up</button>
        </form>
        <p v-if="message">{{message}}</p>
    </section>
</template>

<script>
import { Auth } from "@/services/auth";

export default {
    data() {
        return {
            user: {
                email: '',
                password: {
                    first: '',
                    second: ''
                },
                age: 0
            },
            message: ''
        }
    },
    methods: {
        register() {
            let auth = new Auth();
            auth.register(this.user)
            .then(() => this.message = 'You have been registered')
            .catch(errors => this.message = errors);
            
        }
    }

}
</script>

<style>

</style>
